entity.hpp File Reference
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/entity_bits.hpp>`
`#include <osmium/osm/item_type.hpp>`
Include dependency graph for entity.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::OSMEntity
| OSMEntity is the abstract base class for the OSMObject and Changeset classes. More...

## Namespaces

| osmium
| Namespace for everything in the Osmium library.